/*******************************************************************************
* File Name: CoilRMon.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CoilRMon_H) /* Pins CoilRMon_H */
#define CY_PINS_CoilRMon_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "CoilRMon_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    CoilRMon_Write(uint8 value) ;
void    CoilRMon_SetDriveMode(uint8 mode) ;
uint8   CoilRMon_ReadDataReg(void) ;
uint8   CoilRMon_Read(void) ;
uint8   CoilRMon_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define CoilRMon_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define CoilRMon_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define CoilRMon_DM_RES_UP          PIN_DM_RES_UP
#define CoilRMon_DM_RES_DWN         PIN_DM_RES_DWN
#define CoilRMon_DM_OD_LO           PIN_DM_OD_LO
#define CoilRMon_DM_OD_HI           PIN_DM_OD_HI
#define CoilRMon_DM_STRONG          PIN_DM_STRONG
#define CoilRMon_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define CoilRMon_MASK               CoilRMon__MASK
#define CoilRMon_SHIFT              CoilRMon__SHIFT
#define CoilRMon_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CoilRMon_PS                     (* (reg8 *) CoilRMon__PS)
/* Data Register */
#define CoilRMon_DR                     (* (reg8 *) CoilRMon__DR)
/* Port Number */
#define CoilRMon_PRT_NUM                (* (reg8 *) CoilRMon__PRT) 
/* Connect to Analog Globals */                                                  
#define CoilRMon_AG                     (* (reg8 *) CoilRMon__AG)                       
/* Analog MUX bux enable */
#define CoilRMon_AMUX                   (* (reg8 *) CoilRMon__AMUX) 
/* Bidirectional Enable */                                                        
#define CoilRMon_BIE                    (* (reg8 *) CoilRMon__BIE)
/* Bit-mask for Aliased Register Access */
#define CoilRMon_BIT_MASK               (* (reg8 *) CoilRMon__BIT_MASK)
/* Bypass Enable */
#define CoilRMon_BYP                    (* (reg8 *) CoilRMon__BYP)
/* Port wide control signals */                                                   
#define CoilRMon_CTL                    (* (reg8 *) CoilRMon__CTL)
/* Drive Modes */
#define CoilRMon_DM0                    (* (reg8 *) CoilRMon__DM0) 
#define CoilRMon_DM1                    (* (reg8 *) CoilRMon__DM1)
#define CoilRMon_DM2                    (* (reg8 *) CoilRMon__DM2) 
/* Input Buffer Disable Override */
#define CoilRMon_INP_DIS                (* (reg8 *) CoilRMon__INP_DIS)
/* LCD Common or Segment Drive */
#define CoilRMon_LCD_COM_SEG            (* (reg8 *) CoilRMon__LCD_COM_SEG)
/* Enable Segment LCD */
#define CoilRMon_LCD_EN                 (* (reg8 *) CoilRMon__LCD_EN)
/* Slew Rate Control */
#define CoilRMon_SLW                    (* (reg8 *) CoilRMon__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define CoilRMon_PRTDSI__CAPS_SEL       (* (reg8 *) CoilRMon__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define CoilRMon_PRTDSI__DBL_SYNC_IN    (* (reg8 *) CoilRMon__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define CoilRMon_PRTDSI__OE_SEL0        (* (reg8 *) CoilRMon__PRTDSI__OE_SEL0) 
#define CoilRMon_PRTDSI__OE_SEL1        (* (reg8 *) CoilRMon__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define CoilRMon_PRTDSI__OUT_SEL0       (* (reg8 *) CoilRMon__PRTDSI__OUT_SEL0) 
#define CoilRMon_PRTDSI__OUT_SEL1       (* (reg8 *) CoilRMon__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define CoilRMon_PRTDSI__SYNC_OUT       (* (reg8 *) CoilRMon__PRTDSI__SYNC_OUT) 


#if defined(CoilRMon__INTSTAT)  /* Interrupt Registers */

    #define CoilRMon_INTSTAT                (* (reg8 *) CoilRMon__INTSTAT)
    #define CoilRMon_SNAP                   (* (reg8 *) CoilRMon__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins CoilRMon_H */


/* [] END OF FILE */
