/*******************************************************************************
* File Name: FastHiOut.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_FastHiOut_H) /* Pins FastHiOut_H */
#define CY_PINS_FastHiOut_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "FastHiOut_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    FastHiOut_Write(uint8 value) ;
void    FastHiOut_SetDriveMode(uint8 mode) ;
uint8   FastHiOut_ReadDataReg(void) ;
uint8   FastHiOut_Read(void) ;
uint8   FastHiOut_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define FastHiOut_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define FastHiOut_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define FastHiOut_DM_RES_UP          PIN_DM_RES_UP
#define FastHiOut_DM_RES_DWN         PIN_DM_RES_DWN
#define FastHiOut_DM_OD_LO           PIN_DM_OD_LO
#define FastHiOut_DM_OD_HI           PIN_DM_OD_HI
#define FastHiOut_DM_STRONG          PIN_DM_STRONG
#define FastHiOut_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define FastHiOut_MASK               FastHiOut__MASK
#define FastHiOut_SHIFT              FastHiOut__SHIFT
#define FastHiOut_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define FastHiOut_PS                     (* (reg8 *) FastHiOut__PS)
/* Data Register */
#define FastHiOut_DR                     (* (reg8 *) FastHiOut__DR)
/* Port Number */
#define FastHiOut_PRT_NUM                (* (reg8 *) FastHiOut__PRT) 
/* Connect to Analog Globals */                                                  
#define FastHiOut_AG                     (* (reg8 *) FastHiOut__AG)                       
/* Analog MUX bux enable */
#define FastHiOut_AMUX                   (* (reg8 *) FastHiOut__AMUX) 
/* Bidirectional Enable */                                                        
#define FastHiOut_BIE                    (* (reg8 *) FastHiOut__BIE)
/* Bit-mask for Aliased Register Access */
#define FastHiOut_BIT_MASK               (* (reg8 *) FastHiOut__BIT_MASK)
/* Bypass Enable */
#define FastHiOut_BYP                    (* (reg8 *) FastHiOut__BYP)
/* Port wide control signals */                                                   
#define FastHiOut_CTL                    (* (reg8 *) FastHiOut__CTL)
/* Drive Modes */
#define FastHiOut_DM0                    (* (reg8 *) FastHiOut__DM0) 
#define FastHiOut_DM1                    (* (reg8 *) FastHiOut__DM1)
#define FastHiOut_DM2                    (* (reg8 *) FastHiOut__DM2) 
/* Input Buffer Disable Override */
#define FastHiOut_INP_DIS                (* (reg8 *) FastHiOut__INP_DIS)
/* LCD Common or Segment Drive */
#define FastHiOut_LCD_COM_SEG            (* (reg8 *) FastHiOut__LCD_COM_SEG)
/* Enable Segment LCD */
#define FastHiOut_LCD_EN                 (* (reg8 *) FastHiOut__LCD_EN)
/* Slew Rate Control */
#define FastHiOut_SLW                    (* (reg8 *) FastHiOut__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define FastHiOut_PRTDSI__CAPS_SEL       (* (reg8 *) FastHiOut__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define FastHiOut_PRTDSI__DBL_SYNC_IN    (* (reg8 *) FastHiOut__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define FastHiOut_PRTDSI__OE_SEL0        (* (reg8 *) FastHiOut__PRTDSI__OE_SEL0) 
#define FastHiOut_PRTDSI__OE_SEL1        (* (reg8 *) FastHiOut__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define FastHiOut_PRTDSI__OUT_SEL0       (* (reg8 *) FastHiOut__PRTDSI__OUT_SEL0) 
#define FastHiOut_PRTDSI__OUT_SEL1       (* (reg8 *) FastHiOut__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define FastHiOut_PRTDSI__SYNC_OUT       (* (reg8 *) FastHiOut__PRTDSI__SYNC_OUT) 


#if defined(FastHiOut__INTSTAT)  /* Interrupt Registers */

    #define FastHiOut_INTSTAT                (* (reg8 *) FastHiOut__INTSTAT)
    #define FastHiOut_SNAP                   (* (reg8 *) FastHiOut__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins FastHiOut_H */


/* [] END OF FILE */
