/*******************************************************************************
* File Name: FastHigh.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_FastHigh_H) /* Pins FastHigh_H */
#define CY_PINS_FastHigh_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "FastHigh_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    FastHigh_Write(uint8 value) ;
void    FastHigh_SetDriveMode(uint8 mode) ;
uint8   FastHigh_ReadDataReg(void) ;
uint8   FastHigh_Read(void) ;
uint8   FastHigh_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define FastHigh_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define FastHigh_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define FastHigh_DM_RES_UP          PIN_DM_RES_UP
#define FastHigh_DM_RES_DWN         PIN_DM_RES_DWN
#define FastHigh_DM_OD_LO           PIN_DM_OD_LO
#define FastHigh_DM_OD_HI           PIN_DM_OD_HI
#define FastHigh_DM_STRONG          PIN_DM_STRONG
#define FastHigh_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define FastHigh_MASK               FastHigh__MASK
#define FastHigh_SHIFT              FastHigh__SHIFT
#define FastHigh_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define FastHigh_PS                     (* (reg8 *) FastHigh__PS)
/* Data Register */
#define FastHigh_DR                     (* (reg8 *) FastHigh__DR)
/* Port Number */
#define FastHigh_PRT_NUM                (* (reg8 *) FastHigh__PRT) 
/* Connect to Analog Globals */                                                  
#define FastHigh_AG                     (* (reg8 *) FastHigh__AG)                       
/* Analog MUX bux enable */
#define FastHigh_AMUX                   (* (reg8 *) FastHigh__AMUX) 
/* Bidirectional Enable */                                                        
#define FastHigh_BIE                    (* (reg8 *) FastHigh__BIE)
/* Bit-mask for Aliased Register Access */
#define FastHigh_BIT_MASK               (* (reg8 *) FastHigh__BIT_MASK)
/* Bypass Enable */
#define FastHigh_BYP                    (* (reg8 *) FastHigh__BYP)
/* Port wide control signals */                                                   
#define FastHigh_CTL                    (* (reg8 *) FastHigh__CTL)
/* Drive Modes */
#define FastHigh_DM0                    (* (reg8 *) FastHigh__DM0) 
#define FastHigh_DM1                    (* (reg8 *) FastHigh__DM1)
#define FastHigh_DM2                    (* (reg8 *) FastHigh__DM2) 
/* Input Buffer Disable Override */
#define FastHigh_INP_DIS                (* (reg8 *) FastHigh__INP_DIS)
/* LCD Common or Segment Drive */
#define FastHigh_LCD_COM_SEG            (* (reg8 *) FastHigh__LCD_COM_SEG)
/* Enable Segment LCD */
#define FastHigh_LCD_EN                 (* (reg8 *) FastHigh__LCD_EN)
/* Slew Rate Control */
#define FastHigh_SLW                    (* (reg8 *) FastHigh__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define FastHigh_PRTDSI__CAPS_SEL       (* (reg8 *) FastHigh__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define FastHigh_PRTDSI__DBL_SYNC_IN    (* (reg8 *) FastHigh__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define FastHigh_PRTDSI__OE_SEL0        (* (reg8 *) FastHigh__PRTDSI__OE_SEL0) 
#define FastHigh_PRTDSI__OE_SEL1        (* (reg8 *) FastHigh__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define FastHigh_PRTDSI__OUT_SEL0       (* (reg8 *) FastHigh__PRTDSI__OUT_SEL0) 
#define FastHigh_PRTDSI__OUT_SEL1       (* (reg8 *) FastHigh__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define FastHigh_PRTDSI__SYNC_OUT       (* (reg8 *) FastHigh__PRTDSI__SYNC_OUT) 


#if defined(FastHigh__INTSTAT)  /* Interrupt Registers */

    #define FastHigh_INTSTAT                (* (reg8 *) FastHigh__INTSTAT)
    #define FastHigh_SNAP                   (* (reg8 *) FastHigh__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins FastHigh_H */


/* [] END OF FILE */
