/*******************************************************************************
* File Name: FastHighEnable.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_FastHighEnable_H) /* Pins FastHighEnable_H */
#define CY_PINS_FastHighEnable_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "FastHighEnable_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    FastHighEnable_Write(uint8 value) ;
void    FastHighEnable_SetDriveMode(uint8 mode) ;
uint8   FastHighEnable_ReadDataReg(void) ;
uint8   FastHighEnable_Read(void) ;
uint8   FastHighEnable_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define FastHighEnable_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define FastHighEnable_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define FastHighEnable_DM_RES_UP          PIN_DM_RES_UP
#define FastHighEnable_DM_RES_DWN         PIN_DM_RES_DWN
#define FastHighEnable_DM_OD_LO           PIN_DM_OD_LO
#define FastHighEnable_DM_OD_HI           PIN_DM_OD_HI
#define FastHighEnable_DM_STRONG          PIN_DM_STRONG
#define FastHighEnable_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define FastHighEnable_MASK               FastHighEnable__MASK
#define FastHighEnable_SHIFT              FastHighEnable__SHIFT
#define FastHighEnable_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define FastHighEnable_PS                     (* (reg8 *) FastHighEnable__PS)
/* Data Register */
#define FastHighEnable_DR                     (* (reg8 *) FastHighEnable__DR)
/* Port Number */
#define FastHighEnable_PRT_NUM                (* (reg8 *) FastHighEnable__PRT) 
/* Connect to Analog Globals */                                                  
#define FastHighEnable_AG                     (* (reg8 *) FastHighEnable__AG)                       
/* Analog MUX bux enable */
#define FastHighEnable_AMUX                   (* (reg8 *) FastHighEnable__AMUX) 
/* Bidirectional Enable */                                                        
#define FastHighEnable_BIE                    (* (reg8 *) FastHighEnable__BIE)
/* Bit-mask for Aliased Register Access */
#define FastHighEnable_BIT_MASK               (* (reg8 *) FastHighEnable__BIT_MASK)
/* Bypass Enable */
#define FastHighEnable_BYP                    (* (reg8 *) FastHighEnable__BYP)
/* Port wide control signals */                                                   
#define FastHighEnable_CTL                    (* (reg8 *) FastHighEnable__CTL)
/* Drive Modes */
#define FastHighEnable_DM0                    (* (reg8 *) FastHighEnable__DM0) 
#define FastHighEnable_DM1                    (* (reg8 *) FastHighEnable__DM1)
#define FastHighEnable_DM2                    (* (reg8 *) FastHighEnable__DM2) 
/* Input Buffer Disable Override */
#define FastHighEnable_INP_DIS                (* (reg8 *) FastHighEnable__INP_DIS)
/* LCD Common or Segment Drive */
#define FastHighEnable_LCD_COM_SEG            (* (reg8 *) FastHighEnable__LCD_COM_SEG)
/* Enable Segment LCD */
#define FastHighEnable_LCD_EN                 (* (reg8 *) FastHighEnable__LCD_EN)
/* Slew Rate Control */
#define FastHighEnable_SLW                    (* (reg8 *) FastHighEnable__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define FastHighEnable_PRTDSI__CAPS_SEL       (* (reg8 *) FastHighEnable__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define FastHighEnable_PRTDSI__DBL_SYNC_IN    (* (reg8 *) FastHighEnable__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define FastHighEnable_PRTDSI__OE_SEL0        (* (reg8 *) FastHighEnable__PRTDSI__OE_SEL0) 
#define FastHighEnable_PRTDSI__OE_SEL1        (* (reg8 *) FastHighEnable__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define FastHighEnable_PRTDSI__OUT_SEL0       (* (reg8 *) FastHighEnable__PRTDSI__OUT_SEL0) 
#define FastHighEnable_PRTDSI__OUT_SEL1       (* (reg8 *) FastHighEnable__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define FastHighEnable_PRTDSI__SYNC_OUT       (* (reg8 *) FastHighEnable__PRTDSI__SYNC_OUT) 


#if defined(FastHighEnable__INTSTAT)  /* Interrupt Registers */

    #define FastHighEnable_INTSTAT                (* (reg8 *) FastHighEnable__INTSTAT)
    #define FastHighEnable_SNAP                   (* (reg8 *) FastHighEnable__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins FastHighEnable_H */


/* [] END OF FILE */
