/*******************************************************************************
* File Name: Fault_Bit.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Fault_Bit_H) /* Pins Fault_Bit_H */
#define CY_PINS_Fault_Bit_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Fault_Bit_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Fault_Bit_Write(uint8 value) ;
void    Fault_Bit_SetDriveMode(uint8 mode) ;
uint8   Fault_Bit_ReadDataReg(void) ;
uint8   Fault_Bit_Read(void) ;
uint8   Fault_Bit_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Fault_Bit_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Fault_Bit_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Fault_Bit_DM_RES_UP          PIN_DM_RES_UP
#define Fault_Bit_DM_RES_DWN         PIN_DM_RES_DWN
#define Fault_Bit_DM_OD_LO           PIN_DM_OD_LO
#define Fault_Bit_DM_OD_HI           PIN_DM_OD_HI
#define Fault_Bit_DM_STRONG          PIN_DM_STRONG
#define Fault_Bit_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Fault_Bit_MASK               Fault_Bit__MASK
#define Fault_Bit_SHIFT              Fault_Bit__SHIFT
#define Fault_Bit_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Fault_Bit_PS                     (* (reg8 *) Fault_Bit__PS)
/* Data Register */
#define Fault_Bit_DR                     (* (reg8 *) Fault_Bit__DR)
/* Port Number */
#define Fault_Bit_PRT_NUM                (* (reg8 *) Fault_Bit__PRT) 
/* Connect to Analog Globals */                                                  
#define Fault_Bit_AG                     (* (reg8 *) Fault_Bit__AG)                       
/* Analog MUX bux enable */
#define Fault_Bit_AMUX                   (* (reg8 *) Fault_Bit__AMUX) 
/* Bidirectional Enable */                                                        
#define Fault_Bit_BIE                    (* (reg8 *) Fault_Bit__BIE)
/* Bit-mask for Aliased Register Access */
#define Fault_Bit_BIT_MASK               (* (reg8 *) Fault_Bit__BIT_MASK)
/* Bypass Enable */
#define Fault_Bit_BYP                    (* (reg8 *) Fault_Bit__BYP)
/* Port wide control signals */                                                   
#define Fault_Bit_CTL                    (* (reg8 *) Fault_Bit__CTL)
/* Drive Modes */
#define Fault_Bit_DM0                    (* (reg8 *) Fault_Bit__DM0) 
#define Fault_Bit_DM1                    (* (reg8 *) Fault_Bit__DM1)
#define Fault_Bit_DM2                    (* (reg8 *) Fault_Bit__DM2) 
/* Input Buffer Disable Override */
#define Fault_Bit_INP_DIS                (* (reg8 *) Fault_Bit__INP_DIS)
/* LCD Common or Segment Drive */
#define Fault_Bit_LCD_COM_SEG            (* (reg8 *) Fault_Bit__LCD_COM_SEG)
/* Enable Segment LCD */
#define Fault_Bit_LCD_EN                 (* (reg8 *) Fault_Bit__LCD_EN)
/* Slew Rate Control */
#define Fault_Bit_SLW                    (* (reg8 *) Fault_Bit__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Fault_Bit_PRTDSI__CAPS_SEL       (* (reg8 *) Fault_Bit__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Fault_Bit_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Fault_Bit__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Fault_Bit_PRTDSI__OE_SEL0        (* (reg8 *) Fault_Bit__PRTDSI__OE_SEL0) 
#define Fault_Bit_PRTDSI__OE_SEL1        (* (reg8 *) Fault_Bit__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Fault_Bit_PRTDSI__OUT_SEL0       (* (reg8 *) Fault_Bit__PRTDSI__OUT_SEL0) 
#define Fault_Bit_PRTDSI__OUT_SEL1       (* (reg8 *) Fault_Bit__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Fault_Bit_PRTDSI__SYNC_OUT       (* (reg8 *) Fault_Bit__PRTDSI__SYNC_OUT) 


#if defined(Fault_Bit__INTSTAT)  /* Interrupt Registers */

    #define Fault_Bit_INTSTAT                (* (reg8 *) Fault_Bit__INTSTAT)
    #define Fault_Bit_SNAP                   (* (reg8 *) Fault_Bit__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Fault_Bit_H */


/* [] END OF FILE */
