/*******************************************************************************
* File Name: Fault_Out.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Fault_Out_H) /* Pins Fault_Out_H */
#define CY_PINS_Fault_Out_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Fault_Out_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Fault_Out_Write(uint8 value) ;
void    Fault_Out_SetDriveMode(uint8 mode) ;
uint8   Fault_Out_ReadDataReg(void) ;
uint8   Fault_Out_Read(void) ;
uint8   Fault_Out_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Fault_Out_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Fault_Out_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Fault_Out_DM_RES_UP          PIN_DM_RES_UP
#define Fault_Out_DM_RES_DWN         PIN_DM_RES_DWN
#define Fault_Out_DM_OD_LO           PIN_DM_OD_LO
#define Fault_Out_DM_OD_HI           PIN_DM_OD_HI
#define Fault_Out_DM_STRONG          PIN_DM_STRONG
#define Fault_Out_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Fault_Out_MASK               Fault_Out__MASK
#define Fault_Out_SHIFT              Fault_Out__SHIFT
#define Fault_Out_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Fault_Out_PS                     (* (reg8 *) Fault_Out__PS)
/* Data Register */
#define Fault_Out_DR                     (* (reg8 *) Fault_Out__DR)
/* Port Number */
#define Fault_Out_PRT_NUM                (* (reg8 *) Fault_Out__PRT) 
/* Connect to Analog Globals */                                                  
#define Fault_Out_AG                     (* (reg8 *) Fault_Out__AG)                       
/* Analog MUX bux enable */
#define Fault_Out_AMUX                   (* (reg8 *) Fault_Out__AMUX) 
/* Bidirectional Enable */                                                        
#define Fault_Out_BIE                    (* (reg8 *) Fault_Out__BIE)
/* Bit-mask for Aliased Register Access */
#define Fault_Out_BIT_MASK               (* (reg8 *) Fault_Out__BIT_MASK)
/* Bypass Enable */
#define Fault_Out_BYP                    (* (reg8 *) Fault_Out__BYP)
/* Port wide control signals */                                                   
#define Fault_Out_CTL                    (* (reg8 *) Fault_Out__CTL)
/* Drive Modes */
#define Fault_Out_DM0                    (* (reg8 *) Fault_Out__DM0) 
#define Fault_Out_DM1                    (* (reg8 *) Fault_Out__DM1)
#define Fault_Out_DM2                    (* (reg8 *) Fault_Out__DM2) 
/* Input Buffer Disable Override */
#define Fault_Out_INP_DIS                (* (reg8 *) Fault_Out__INP_DIS)
/* LCD Common or Segment Drive */
#define Fault_Out_LCD_COM_SEG            (* (reg8 *) Fault_Out__LCD_COM_SEG)
/* Enable Segment LCD */
#define Fault_Out_LCD_EN                 (* (reg8 *) Fault_Out__LCD_EN)
/* Slew Rate Control */
#define Fault_Out_SLW                    (* (reg8 *) Fault_Out__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Fault_Out_PRTDSI__CAPS_SEL       (* (reg8 *) Fault_Out__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Fault_Out_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Fault_Out__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Fault_Out_PRTDSI__OE_SEL0        (* (reg8 *) Fault_Out__PRTDSI__OE_SEL0) 
#define Fault_Out_PRTDSI__OE_SEL1        (* (reg8 *) Fault_Out__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Fault_Out_PRTDSI__OUT_SEL0       (* (reg8 *) Fault_Out__PRTDSI__OUT_SEL0) 
#define Fault_Out_PRTDSI__OUT_SEL1       (* (reg8 *) Fault_Out__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Fault_Out_PRTDSI__SYNC_OUT       (* (reg8 *) Fault_Out__PRTDSI__SYNC_OUT) 


#if defined(Fault_Out__INTSTAT)  /* Interrupt Registers */

    #define Fault_Out_INTSTAT                (* (reg8 *) Fault_Out__INTSTAT)
    #define Fault_Out_SNAP                   (* (reg8 *) Fault_Out__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Fault_Out_H */


/* [] END OF FILE */
