/*******************************************************************************
* File Name: SlowLow.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SlowLow_H) /* Pins SlowLow_H */
#define CY_PINS_SlowLow_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SlowLow_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SlowLow_Write(uint8 value) ;
void    SlowLow_SetDriveMode(uint8 mode) ;
uint8   SlowLow_ReadDataReg(void) ;
uint8   SlowLow_Read(void) ;
uint8   SlowLow_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SlowLow_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SlowLow_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SlowLow_DM_RES_UP          PIN_DM_RES_UP
#define SlowLow_DM_RES_DWN         PIN_DM_RES_DWN
#define SlowLow_DM_OD_LO           PIN_DM_OD_LO
#define SlowLow_DM_OD_HI           PIN_DM_OD_HI
#define SlowLow_DM_STRONG          PIN_DM_STRONG
#define SlowLow_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SlowLow_MASK               SlowLow__MASK
#define SlowLow_SHIFT              SlowLow__SHIFT
#define SlowLow_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SlowLow_PS                     (* (reg8 *) SlowLow__PS)
/* Data Register */
#define SlowLow_DR                     (* (reg8 *) SlowLow__DR)
/* Port Number */
#define SlowLow_PRT_NUM                (* (reg8 *) SlowLow__PRT) 
/* Connect to Analog Globals */                                                  
#define SlowLow_AG                     (* (reg8 *) SlowLow__AG)                       
/* Analog MUX bux enable */
#define SlowLow_AMUX                   (* (reg8 *) SlowLow__AMUX) 
/* Bidirectional Enable */                                                        
#define SlowLow_BIE                    (* (reg8 *) SlowLow__BIE)
/* Bit-mask for Aliased Register Access */
#define SlowLow_BIT_MASK               (* (reg8 *) SlowLow__BIT_MASK)
/* Bypass Enable */
#define SlowLow_BYP                    (* (reg8 *) SlowLow__BYP)
/* Port wide control signals */                                                   
#define SlowLow_CTL                    (* (reg8 *) SlowLow__CTL)
/* Drive Modes */
#define SlowLow_DM0                    (* (reg8 *) SlowLow__DM0) 
#define SlowLow_DM1                    (* (reg8 *) SlowLow__DM1)
#define SlowLow_DM2                    (* (reg8 *) SlowLow__DM2) 
/* Input Buffer Disable Override */
#define SlowLow_INP_DIS                (* (reg8 *) SlowLow__INP_DIS)
/* LCD Common or Segment Drive */
#define SlowLow_LCD_COM_SEG            (* (reg8 *) SlowLow__LCD_COM_SEG)
/* Enable Segment LCD */
#define SlowLow_LCD_EN                 (* (reg8 *) SlowLow__LCD_EN)
/* Slew Rate Control */
#define SlowLow_SLW                    (* (reg8 *) SlowLow__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SlowLow_PRTDSI__CAPS_SEL       (* (reg8 *) SlowLow__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SlowLow_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SlowLow__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SlowLow_PRTDSI__OE_SEL0        (* (reg8 *) SlowLow__PRTDSI__OE_SEL0) 
#define SlowLow_PRTDSI__OE_SEL1        (* (reg8 *) SlowLow__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SlowLow_PRTDSI__OUT_SEL0       (* (reg8 *) SlowLow__PRTDSI__OUT_SEL0) 
#define SlowLow_PRTDSI__OUT_SEL1       (* (reg8 *) SlowLow__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SlowLow_PRTDSI__SYNC_OUT       (* (reg8 *) SlowLow__PRTDSI__SYNC_OUT) 


#if defined(SlowLow__INTSTAT)  /* Interrupt Registers */

    #define SlowLow_INTSTAT                (* (reg8 *) SlowLow__INTSTAT)
    #define SlowLow_SNAP                   (* (reg8 *) SlowLow__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins SlowLow_H */


/* [] END OF FILE */
