/*******************************************************************************
* File Name: UnderVFault.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_UnderVFault_H) /* Pins UnderVFault_H */
#define CY_PINS_UnderVFault_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "UnderVFault_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    UnderVFault_Write(uint8 value) ;
void    UnderVFault_SetDriveMode(uint8 mode) ;
uint8   UnderVFault_ReadDataReg(void) ;
uint8   UnderVFault_Read(void) ;
uint8   UnderVFault_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define UnderVFault_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define UnderVFault_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define UnderVFault_DM_RES_UP          PIN_DM_RES_UP
#define UnderVFault_DM_RES_DWN         PIN_DM_RES_DWN
#define UnderVFault_DM_OD_LO           PIN_DM_OD_LO
#define UnderVFault_DM_OD_HI           PIN_DM_OD_HI
#define UnderVFault_DM_STRONG          PIN_DM_STRONG
#define UnderVFault_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define UnderVFault_MASK               UnderVFault__MASK
#define UnderVFault_SHIFT              UnderVFault__SHIFT
#define UnderVFault_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define UnderVFault_PS                     (* (reg8 *) UnderVFault__PS)
/* Data Register */
#define UnderVFault_DR                     (* (reg8 *) UnderVFault__DR)
/* Port Number */
#define UnderVFault_PRT_NUM                (* (reg8 *) UnderVFault__PRT) 
/* Connect to Analog Globals */                                                  
#define UnderVFault_AG                     (* (reg8 *) UnderVFault__AG)                       
/* Analog MUX bux enable */
#define UnderVFault_AMUX                   (* (reg8 *) UnderVFault__AMUX) 
/* Bidirectional Enable */                                                        
#define UnderVFault_BIE                    (* (reg8 *) UnderVFault__BIE)
/* Bit-mask for Aliased Register Access */
#define UnderVFault_BIT_MASK               (* (reg8 *) UnderVFault__BIT_MASK)
/* Bypass Enable */
#define UnderVFault_BYP                    (* (reg8 *) UnderVFault__BYP)
/* Port wide control signals */                                                   
#define UnderVFault_CTL                    (* (reg8 *) UnderVFault__CTL)
/* Drive Modes */
#define UnderVFault_DM0                    (* (reg8 *) UnderVFault__DM0) 
#define UnderVFault_DM1                    (* (reg8 *) UnderVFault__DM1)
#define UnderVFault_DM2                    (* (reg8 *) UnderVFault__DM2) 
/* Input Buffer Disable Override */
#define UnderVFault_INP_DIS                (* (reg8 *) UnderVFault__INP_DIS)
/* LCD Common or Segment Drive */
#define UnderVFault_LCD_COM_SEG            (* (reg8 *) UnderVFault__LCD_COM_SEG)
/* Enable Segment LCD */
#define UnderVFault_LCD_EN                 (* (reg8 *) UnderVFault__LCD_EN)
/* Slew Rate Control */
#define UnderVFault_SLW                    (* (reg8 *) UnderVFault__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define UnderVFault_PRTDSI__CAPS_SEL       (* (reg8 *) UnderVFault__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define UnderVFault_PRTDSI__DBL_SYNC_IN    (* (reg8 *) UnderVFault__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define UnderVFault_PRTDSI__OE_SEL0        (* (reg8 *) UnderVFault__PRTDSI__OE_SEL0) 
#define UnderVFault_PRTDSI__OE_SEL1        (* (reg8 *) UnderVFault__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define UnderVFault_PRTDSI__OUT_SEL0       (* (reg8 *) UnderVFault__PRTDSI__OUT_SEL0) 
#define UnderVFault_PRTDSI__OUT_SEL1       (* (reg8 *) UnderVFault__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define UnderVFault_PRTDSI__SYNC_OUT       (* (reg8 *) UnderVFault__PRTDSI__SYNC_OUT) 


#if defined(UnderVFault__INTSTAT)  /* Interrupt Registers */

    #define UnderVFault_INTSTAT                (* (reg8 *) UnderVFault__INTSTAT)
    #define UnderVFault_SNAP                   (* (reg8 *) UnderVFault__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins UnderVFault_H */


/* [] END OF FILE */
