/*******************************************************************************
* File Name: myFast.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_myFast_H) /* Pins myFast_H */
#define CY_PINS_myFast_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "myFast_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    myFast_Write(uint8 value) ;
void    myFast_SetDriveMode(uint8 mode) ;
uint8   myFast_ReadDataReg(void) ;
uint8   myFast_Read(void) ;
uint8   myFast_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define myFast_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define myFast_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define myFast_DM_RES_UP          PIN_DM_RES_UP
#define myFast_DM_RES_DWN         PIN_DM_RES_DWN
#define myFast_DM_OD_LO           PIN_DM_OD_LO
#define myFast_DM_OD_HI           PIN_DM_OD_HI
#define myFast_DM_STRONG          PIN_DM_STRONG
#define myFast_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define myFast_MASK               myFast__MASK
#define myFast_SHIFT              myFast__SHIFT
#define myFast_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define myFast_PS                     (* (reg8 *) myFast__PS)
/* Data Register */
#define myFast_DR                     (* (reg8 *) myFast__DR)
/* Port Number */
#define myFast_PRT_NUM                (* (reg8 *) myFast__PRT) 
/* Connect to Analog Globals */                                                  
#define myFast_AG                     (* (reg8 *) myFast__AG)                       
/* Analog MUX bux enable */
#define myFast_AMUX                   (* (reg8 *) myFast__AMUX) 
/* Bidirectional Enable */                                                        
#define myFast_BIE                    (* (reg8 *) myFast__BIE)
/* Bit-mask for Aliased Register Access */
#define myFast_BIT_MASK               (* (reg8 *) myFast__BIT_MASK)
/* Bypass Enable */
#define myFast_BYP                    (* (reg8 *) myFast__BYP)
/* Port wide control signals */                                                   
#define myFast_CTL                    (* (reg8 *) myFast__CTL)
/* Drive Modes */
#define myFast_DM0                    (* (reg8 *) myFast__DM0) 
#define myFast_DM1                    (* (reg8 *) myFast__DM1)
#define myFast_DM2                    (* (reg8 *) myFast__DM2) 
/* Input Buffer Disable Override */
#define myFast_INP_DIS                (* (reg8 *) myFast__INP_DIS)
/* LCD Common or Segment Drive */
#define myFast_LCD_COM_SEG            (* (reg8 *) myFast__LCD_COM_SEG)
/* Enable Segment LCD */
#define myFast_LCD_EN                 (* (reg8 *) myFast__LCD_EN)
/* Slew Rate Control */
#define myFast_SLW                    (* (reg8 *) myFast__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define myFast_PRTDSI__CAPS_SEL       (* (reg8 *) myFast__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define myFast_PRTDSI__DBL_SYNC_IN    (* (reg8 *) myFast__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define myFast_PRTDSI__OE_SEL0        (* (reg8 *) myFast__PRTDSI__OE_SEL0) 
#define myFast_PRTDSI__OE_SEL1        (* (reg8 *) myFast__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define myFast_PRTDSI__OUT_SEL0       (* (reg8 *) myFast__PRTDSI__OUT_SEL0) 
#define myFast_PRTDSI__OUT_SEL1       (* (reg8 *) myFast__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define myFast_PRTDSI__SYNC_OUT       (* (reg8 *) myFast__PRTDSI__SYNC_OUT) 


#if defined(myFast__INTSTAT)  /* Interrupt Registers */

    #define myFast_INTSTAT                (* (reg8 *) myFast__INTSTAT)
    #define myFast_SNAP                   (* (reg8 *) myFast__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins myFast_H */


/* [] END OF FILE */
